跳转到主要内容
服务和应用/推理服务相关接口
GETInference Service APIs起始版本 5.2.1同步需要认证

查询模型服务

查询模型服务

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • qString

    查询条件。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标识该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • readmeString必填

      README内容

    • yamlString必填

      服务YAML配置

    • requestCpuInteger必填

      请求CPU数量

    • requestMemoryLong必填

      请求内存大小

    • modelCenterUuidString必填

      模型中心UUID

    • typeString必填

      模型服务类型

    • frameworkString必填

      模型服务框架

    • sourceString必填

      模型服务来源

    • sizeLong必填

      模型服务大小

    • systemBoolean必填

      是否为系统模型服务

    • hasNewVersionBoolean必填

      是否存在新版本

    • gpuComputeCapabilityString必填

      GPU算力要求

    • installPathString必填

      模型服务安装路径

    • pythonVersionString必填

      Python版本

    • condaVersionString必填

      Conda版本

    • versionString必填

      模型服务版本

    • startCommandString必填

      启动命令

    • containerCommandString必填

      容器启动命令

    • containerArgsString必填

      容器启动参数

    • supportDistributedBoolean必填

      是否支持分布式部署

    • cpuArchitecturesList必填

      支持的CPU架构

    • vendorToSpecUuidsMapMap必填

      GPU厂商与规格UUID映射

    • modelServiceRefsList必填

      模型与模型服务的绑定关系

    • modelServiceImagesList必填

      模型服务镜像列表

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

GET/zstack/v1/ai/model-services

/zstack/v1/ai/model-services

操作 ID

QueryModelService

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/ai/model-services?q=<q>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "name": "text to text model service", "description": "This is text to text model service you can chose model", "yaml": "model service parameters", "requestCpu": 4, "requestMemory": 1024, "supportDistributed": false } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史